> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Chi tiết lệnh



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /mxv/orders/{clientOrderId}
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /mxv/orders/{clientOrderId}:
    get:
      tags:
        - MXV
      summary: Chi tiết lệnh
      operationId: MXV_GetOrderDetail
      parameters:
        - name: clientOrderId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.MXV.MXVOrderInfo'
            text/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.MXV.MXVOrderInfo'
      security:
        - oauth2:
            - user-data-read
components:
  schemas:
    FireAnt.Api.Models.MXV.MXVOrderInfo:
      type: object
      properties:
        clientOrderCode:
          description: ClientOrderId
          type: string
        orderCode:
          description: OrderID
          type: string
        contractCode:
          description: Mã HĐ
          type: string
        contractName:
          description: Tên HĐ
          type: string
        side:
          description: Mua/Bán
          type: string
        orderType:
          description: Loại lệnh
          type: string
        qty:
          format: double
          description: KL đặt
          type: number
        limitPrice:
          format: double
          description: Giá giới hạn
          type: number
        stopPrice:
          format: double
          description: Giá dừng
          type: number
        filledPrice:
          format: double
          description: Giá khớp TB
          type: number
        filledQty:
          format: double
          description: KL khớp
          type: number
        orderDatetime:
          format: date-time
          description: Thời gian đặt lệnh
          type: string
        status:
          description: Trạng thái
          type: string
        transactionFee:
          format: double
          description: Phí giao dịch
          type: number
        investorCode:
          description: Mã nhà đầu tư
          type: string
        sessionDate:
          description: Ngày phiên giao dịch
          type: string
        dataSource:
          description: Nguồn dữ liệu (FIX, ...)
          type: string
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.MXV.MXVTradeTransaction'
    FireAnt.Api.Models.MXV.MXVTradeTransaction:
      description: Thông tin giao dịch
      type: object
      properties:
        status:
          description: 'Trạng thái giao dịch: ACK_PLACE, FILL, ...'
          type: string
        filledPrice:
          format: double
          description: Giá khớp
          type: number
        qty:
          format: int32
          description: Khối lượng khớp
          type: integer
        transactionFee:
          format: double
          description: Phí giao dịch
          type: number
        sessionDate:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.